Bug 112548 - [security] Maintainer port update: mail/squirrelmail
Summary: [security] Maintainer port update: mail/squirrelmail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-09 17:30 UTC by simond
Modified: 2007-05-21 21:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (7.21 KB, patch)
2007-05-09 17:30 UTC, simond
no flags Details | Diff
squirrelmail.diff (7.22 KB, patch)
2007-05-10 11:17 UTC, simond
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description simond 2007-05-09 17:30:05 UTC
Update port to 1.4.10:
- Some security fixes (see below)
- Small enhancements
- A collection of bugfixes and stability enhancements

The security issues are described in CVE-2007-1262
Comment 1 Martin Wilke freebsd_committer 2007-05-09 18:16:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 simond 2007-05-10 11:17:30 UTC
Please ignore previous patch and use this one instead, 1.4.10 broke some
functionality so they rushed 1.4.10a out, the security bug was fixed in
1.4.10 so that's not changed
Comment 3 dfilter service freebsd_committer 2007-05-21 21:24:04 UTC
miwi        2007-05-21 20:23:57 UTC

  FreeBSD ports repository

  Modified files:
    mail/squirrelmail    Makefile distinfo pkg-plist 
    mail/squirrelmail/files patch-config-config_default.php 
  Log:
  - Update port to 1.4.10:
     * Some security fixes (see below)
     * Small enhancements
     * A collection of bugfixes and stability enhancements
  
  PR:             112548
  Submitted by:   Simon Dick <simond@irrelevant.org> (maintainer)
  Approved by:    portmgr (marcus)
  Security:       http://www.vuxml.org/freebsd/0e575ed3-0764-11dc-a80b-0016179b2dd5.html
  
  Revision  Changes    Path
  1.47      +2 -2      ports/mail/squirrelmail/Makefile
  1.21      +6 -6      ports/mail/squirrelmail/distinfo
  1.3       +7 -7      ports/mail/squirrelmail/files/patch-config-config_default.php
  1.23      +18 -0     ports/mail/squirrelmail/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-05-21 21:24:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!